// Econ 480-1, Fall 2010
// Problem Set 1 



version 9                                           
clear                                               
set logtype text                                     
cd "C:\Users\AgustinSO\Documents\Northwestern\Year 1\Econometrics 1\Problem Sets\PS 1"   
capture log close
log using ProblemSet1, replace

** UPLOAD THE DATA AND LABELING

infile y z f m using "C:\Users\AgustinSO\Documents\Northwestern\Year 1\Econometrics 1\Problem Sets\PS 1\ps1data.txt"

label variable y "High School Completion"  
label variable z "Family Status at age 14"  
label variable f "Father's years of schooling"  
label variable m "Mother's years of schooling"  


label define ylb 0 "No" 1 "Yes"            
label values y ylb 
label define zlb 0 "Non-Intact Family" 1 "Intact Family"            
label values z zlb 


** Seting BOUNDS for stata

adopath + "C:\Users\AgustinSO\Documents\Algunos Programitas\Stata9\ado\bounds"

** (a) Estimate the best linear predictor of y given (m = 12) under square loss, by ordinary least squares.

regress y if m==12       // Under square loss, the best linear predictor is the mean

** (b) Compute kernel estimates of E(y |m = 12) using uniform and Gaussian kernels and bandwidths 0.5, 1.5, and 4.5. Thus, there are six estimates in all.

** UNIFORM

	** Bandwidth 0.5

kernreg y m, g(yubar) at(12) w1(0.5) rec

	** Bandwidth 1.5

kernreg y m, g(yubar2) at(12) w1(1.5) rec

	** Bandwidth 4.5

kernreg y m, g(yubar3) at(12) w1(4.5) rec

** GAUSSIAN

	** Bandwidth 0.5

kernreg y m, g(ybar) at(12) w1(0.5) gau

	** Bandwidth 1.5

kernreg y m, g(ybar2) at(12) w1(1.5) gau

	** Bandwidth 4.5

kernreg y m, g(ybar3) at(12) w1(4.5) gau


label variable yubar "Unif kern est, bw = 0.5"   
label variable yubar2 "Unif kern est, bw = 1.5"
label variable yubar3 "Unif kern est, bw = 4.5"
label variable ybar "Gau kern est, bw = 0.5"   
label variable ybar2 "Gau kern est, bw = 1.5"
label variable ybar3 "Gau kern est, bw = 4.5"

list yubar yubar2 yubar3 ybar ybar2 ybar3 in 1/1

log close

